summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 6a3f901..c027031 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,16 @@
#!/bin/sh -e
+# Check if hugin has been obtained:
+if [ ! -d hugin ]
+then
+ echo "You are missing the hugin submodule."
+ echo "Run"
+ echo " git submodule init"
+ echo " git submodule update"
+ echo "to obtain it."
+ exit 1
+fi
+
# Check for the existence of cppunit.m4. If missing emulate it.
mkdir -p actest
cat << EOF > actest/configure.ac
@@ -7,7 +18,7 @@ AC_INIT([actest], [1.0.0])
AM_PATH_CPPUNIT(1.9.6)
EOF
[ -f acinclude.m4 ] && rm acinclude.m4
-autoreconf -W error actest 2>/dev/null || echo "AC_DEFUN([AM_PATH_CPPUNIT],[])" > acinclude.m4
+autoreconf -W error actest 2>/dev/null || echo "AC_DEFUN([AM_PATH_CPPUNIT],[echo 'cppunit hack'])" > acinclude.m4
rm -Rf actest
# Now run autoreconf